Home Help Center

v3.1.1 upgrade issue

dthompsondthompson Member Don ThompsonOrganization: Digital Federal Credit UnionProject: credit card fraud monitoring
Hi,
I'm trying to upgrade to v3.1.1 from v3.0.1. My applicaton built ok, but on run I get exception: unable to load entry point `IceSSL:create':
see below. Did SSL support not get included? I built 3.1 from source. My config/Make.rules looks same for both 3.0 and 3.1.

thanks,
Don

g++ -g -O2 -o server server.o cdata.o caccess.o csys.o ccamblock.o ccamdata.o ccams.o clogger.o CARD.o ccdetail.o cchistory.o ccmerch.o ccpart.o cvauth.o cmfraud.o chist.o cimage.o cldata.o cperson.o cref.o csdata.o clprod.o clisting.o ctjou.o ctran.o cxfer.o datecalc.o date.o /usr/local/mysql++/lib/libmysqlpp.so -L/opt/Ice-3.1.1/lib -lIce -lIceUtil -lpthread

[email protected]:/opt/dthompson/cards/card-server$ ./server
Clogger:: Initialize log file...
warning: unknown property: IceSSL.Client.CertPath
warning: unknown property: IceSSL.Client.Config
warning: unknown property: IceSSL.Server.CertPath
warning: unknown property: IceSSL.Server.Config
./server: PluginManagerI.cpp:290: Ice::PluginInitializationException:
plugin initialization failed: unable to load entry point `IceSSL:create': /opt/Ice-3.1.1/lib/libIce.so.31: undefined symbol: create
Clogger::~Clogger...close and destroy

Comments

  • beaglesbeagles Member Brent EaglesOrganization: Eagles Technologies IncProject: Asterisk SCF ✭✭✭
    There have been several changes to the IceSSL plugin since 3.0.1. I recommend reviewing the CHANGES file and the most recent version of the Ice manual. As always, the Ice demos have excellent examples of the new IceSSL configuration.

    Cheers
Sign In or Register to comment.